> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# List worklist collaborations

GET https://{tenant_name}.benchling.com/api/v2-alpha/worklists/{worklist_id}/collaborations

Returns information about collaborations on the specified Worklists.


Reference: https://docs.benchling.com/docs/api/v2-alpha/benchling-api-alpha/worklists/list-worklist-collaborations

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `worklist_id` (string, required) — ID of worklist for which to retrieve collaborations.

### Query parameters

- `pageSize` (integer, optional, default: 50)
- `nextToken` (string, optional) — Token for pagination

## Response

### 200

OK

- `collaborations` (list of Collaboration, optional)
- `nextToken` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### Collaboration

- `accessPolicy` (AccessPolicy, optional)
- `collaborator` (CollaborationCollaborator, optional)

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### AccessPolicy

- `id` (string, optional)
- `name` (string, optional)
- `statements` (list of PolicyStatement, optional)

### CollaborationCollaborator

- `type`: `AGENT` (AGENT)
  - `handle` (string, optional)
  - `id` (string, optional)
  - `name` (string, optional)
- `type`: `APP` (APP)
  - `handle` (string, optional)
  - `id` (string, optional)
  - `name` (string, optional)
- `type`: `ORGANIZATION_MEMBERSHIP` (ORGANIZATION_MEMBERSHIP)
  - `organization` (OrganizationSummary, optional)
  - `role` (enum, optional)
    - Allowed values: `ADMIN`, `MEMBER`
- `type`: `TEAM_MEMBERSHIP` (TEAM_MEMBERSHIP)
  - `role` (enum, optional)
    - Allowed values: `ADMIN`, `MEMBER`
  - `team` (TeamSummary, optional)
- `type`: `USER` (USER)
  - `handle` (string, optional)
  - `id` (string, optional)
  - `name` (string, optional)

### PolicyStatement

- `access` (string, optional)
- `description` (string, optional)

### OrganizationSummary

- `handle` (string, optional)
- `id` (string, optional)
- `name` (string, optional)

### TeamSummary

- `id` (string, optional)
- `name` (string, optional)

## Examples

**Response**

```json
{
  "collaborations": [
    {
      "accessPolicy": {
        "id": "string",
        "name": "string",
        "statements": [
          {
            "access": "string",
            "description": "string"
          }
        ]
      },
      "collaborator": {
        "type": "ORGANIZATION_MEMBERSHIP",
        "organization": {
          "handle": "string",
          "id": "string",
          "name": "string"
        },
        "role": "ADMIN"
      }
    }
  ],
  "nextToken": "string"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2-alpha/worklists/worklist_id/collaborations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2-alpha/worklists/worklist_id/collaborations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```